summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Butler2018-05-31 12:30:24 +0100
committerAlex Butler2018-05-31 12:30:24 +0100
commit6519be66a3120e0e1008e52b237d740c75a9dfbb (patch)
treed6547db91d489efeeb4fca499132e4d13ffb4f88
parent7ea3b7b49fcd6118e55688abb9ce75b75897fdf9 (diff)
downloadaur-6519be66a3120e0e1008e52b237d740c75a9dfbb.tar.gz
0.7-1
Add curl dep, cargo makedep Update install script to setup default trusted-users
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD11
-rw-r--r--aurto.install11
3 files changed, 21 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3b699dad59c..20cb7b14098 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,22 @@
pkgbase = aurto
pkgdesc = A simple aur tool for managing a local 'aurto' repository
- pkgver = 0.6.7
- pkgrel = 2
+ pkgver = 0.7
+ pkgrel = 1
url = https://github.com/alexheretic/aurto
install = aurto.install
arch = any
license = MIT
+ makedepends = cargo
depends = aurutils<1.6.0
depends = devtools
depends = systemd
depends = pacutils
depends = pacman-contrib
+ depends = curl
backup = usr/lib/systemd/system/check-aurto-git-trigger.timer
backup = usr/lib/systemd/system/update-aurto.timer
- source = https://github.com/alexheretic/aurto/archive/v0.6.7.tar.gz
- sha256sums = 821c1c26e16cd30c45aec6fa8e8a0933ac327a8ee380933a8eb387b7d19b0af1
+ source = https://github.com/alexheretic/aurto/archive/v0.7.tar.gz
+ sha256sums = 77c01dc4d119b9bd7476f68507df8023a51ab0b059c9bb379fecafc2542b880f
pkgname = aurto
diff --git a/PKGBUILD b/PKGBUILD
index edcf81080ca..94fef0c8229 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Alex Butler <alexheretic@gmail.com>
pkgname=aurto
-pkgver=0.6.7
-pkgrel=2
+pkgver=0.7
+pkgrel=1
pkgdesc="A simple aur tool for managing a local 'aurto' repository"
arch=('any')
url="https://github.com/alexheretic/aurto"
@@ -10,12 +10,13 @@ depends=('aurutils<1.6.0'
'devtools'
'systemd'
'pacutils'
- 'pacman-contrib')
+ 'pacman-contrib'
+ 'curl')
optdepends=()
-makedepends=()
+makedepends=('cargo')
install="aurto.install"
source=("https://github.com/alexheretic/$pkgname/archive/v$pkgver.tar.gz")
-sha256sums=('821c1c26e16cd30c45aec6fa8e8a0933ac327a8ee380933a8eb387b7d19b0af1')
+sha256sums=('77c01dc4d119b9bd7476f68507df8023a51ab0b059c9bb379fecafc2542b880f')
backup=('usr/lib/systemd/system/check-aurto-git-trigger.timer'
'usr/lib/systemd/system/update-aurto.timer')
diff --git a/aurto.install b/aurto.install
index 1969ec98ca8..54aa7c9be03 100644
--- a/aurto.install
+++ b/aurto.install
@@ -26,6 +26,11 @@ post_install() {
fi
echo -e "# aurto repo\\nInclude = /etc/pacman.d/aurto" >> /etc/pacman.conf
+ if ! test -f /etc/aurto/trusted-users; then
+ echo 'aurto: Adding default trusted users -> /etc/aurto/trusted-users' >&2
+ install -D -o "$user" /usr/lib/aurto/default-trusted-users.txt /etc/aurto/trusted-users
+ fi
+
echo 'aurto: Adding & enabling systemd timer update tasks' >&2
systemctl enable --now /usr/lib/systemd/system/check-aurto-git-trigger.timer
systemctl enable --now /usr/lib/systemd/system/update-aurto.timer
@@ -53,7 +58,9 @@ post_remove() {
sed -i '/^# aurto repo$/d' /etc/pacman.conf
echo 'aurto: Removing /var/cache/pacman/aurto' >&2
- rm -rf /var/cache/pacman/aurto || true
+ rm -rf /var/cache/pacman/aurto 2>/dev/null || true
- rm -rf /usr/lib/aurto/user || true
+ rm -f /usr/lib/aurto/user 2>/dev/null || true
+ rm -f /etc/aurto/trusted-users 2>/dev/null || true
+ rm -d /etc/aurto 2>/dev/null || true
}